import tornado.web

from core.config import BASE_URL


class ManifestHandler(tornado.web.RequestHandler):
    """Handler for manifest.webmanifest, which needs BASE_URL inserted and a custom content-type"""

    def get(self):
        self.set_header("Content-Type", "application/manifest+json; charset=UTF-8")
        self.render("manifest.webmanifest", baseurl=BASE_URL)
